@article{barroso2007case,
  title={The case for energy-proportional computing},
  author={Barroso, Luiz Andr{\'e} and H{\"o}lzle, Urs},
  journal={Computer},
  volume={40},
  number={12},
  year={2007},
  publisher={IEEE}
}

@Article{Bates2015,
author="Bates, Natalie
and Ghatikar, Girish
and Abdulla, Ghaleb
and Koenig, Gregory A.
and Bhalachandra, Sridutt
and Sheikhalishahi, Mehdi
and Patki, Tapasya
and Rountree, Barry
and Poole, Stephen",
title="Electrical Grid and Supercomputing Centers: An Investigative Analysis of Emerging Opportunities and Challenges",
journal="Informatik-Spektrum",
year="2015",
month="Apr",
day="01",
volume="38",
number="2",
pages="111--127",
abstract="Some of the largest supercomputing centers (SCs) in the United States are developing new relationships with their electricity service providers (ESPs). These relationships, similar to other commercial and industrial partnerships, are driven by a mutual interest to reduce energy costs and improve electrical grid reliability. While SCs are concerned about the quality, cost, environmental impact, and availability of electricity, ESPs are concerned about electrical grid reliability, particularly in terms of energy consumption, peak power demands, and power fluctuations. The power demand for SCs can be 20{\thinspace}MW or more -- the theoretical peak power requirements are greater than 45{\thinspace}MW -- and recurring intra-hour variability can exceed 8{\thinspace}MW. As a result of this, ESPs may request large SCs to engage in demand response and grid integration.",
issn="1432-122X",
doi="10.1007/s00287-014-0850-0",
url="https://doi.org/10.1007/s00287-014-0850-0"
}

@InProceedings{Patki2016,
author="Patki, Tapasya
and Bates, Natalie
and Ghatikar, Girish
and Clausen, Anders
and Klingert, Sonja
and Abdulla, Ghaleb
and Sheikhalishahi, Mehdi",
editor="Kunkel, Julian M.
and Balaji, Pavan
and Dongarra, Jack",
title="Supercomputing Centers and Electricity Service Providers: A Geographically Distributed Perspective on Demand Management in Europe and the United States",
booktitle="High Performance Computing",
year="2016",
publisher="Springer International Publishing",
address="Cham",
pages="243--260",
abstract="Supercomputing Centers (SCs) have high and variable power demands, which increase the challenges of the Electricity Service Providers (ESPs) with regards to efficient electricity distribution and reliable grid operation. High penetration of renewable energy generation further exacerbates this problem. In order to develop a symbiotic relationship between the SCs and their ESPs and to support effective power management at all levels, it is critical to understand and analyze how the existing relationships were formed and how these are expected to evolve.",
isbn="978-3-319-41321-1"
}
@misc{procLRZ2010,
      author = "LRZ",
      title = "Decision Criteria and Benchmark Description for the Acquisition of the European High Performance Computer {SuperMUC} at {LRZ}",
      month = "March",
      year = "2010",
      url = "https://www.lrz.de/wir/berichte/TB/LRZ-Bericht-2010-03.pdf",
      note = "https://www.lrz.de/wir/berichte/TB/LRZ-Bericht-2010-03.pdf",
}
@misc{top500,
    author="TOP500.org",
    title="TOP500 list of fastest supercomputers in the world",
    url = "https://www.top500.org/",
    note = "https://www.top500.org/",
}
@inbook{maiterth2017power,
title = "Power aware high performance computing: Challenges and opportunities for application and system developers - Survey \& tutorial",
keywords = "Energy efficiency, HPC, Infrastructure, Performance Optimization, Power, Power Aware Scheduling, Runtime, System Software",
author = "Matthias Maiterth and Torsten Wilde and David Lowenthal and Barry Rountree and Martin Schulz and Jonathan Eastep and Dieter Kranzlmueller",
year = "2017",
month = "9",
doi = "10.1109/HPCS.2017.11",
pages = "3--10",
booktitle = "Proceedings - 2017 International Conference on High Performance Computing and Simulation, HPCS 2017",
publisher = "Institute of Electrical and Electronics Engineers Inc.",
address = "United States",
}
@inbook{maiterth2018,
author = {Matthias Maiterth and Gregory Koenig and Kevin Pedretti and Sid Jana and Natalie Bates and Andrea Borghesi and Dave Richard Montoya and Andrea Bartollini and Milos Puzovic},
title = "Energy and Power Aware Job Scheduling and Resource Management: Global Survey — Initial Analysis",
booktitle={2018 IEEE International Parallel and Distributed Processing Symposium Workshops, IPDPS Workshops 2018},
publisher = "Institute of Electrical and Electronics Engineers Inc.",
year = "2018",
month = "5",
address = "Vancouver, Canada"
}
@article{Liu2010,
 author = {Liu, Yongpeng and Zhu, Hong},
 title = {A Survey of the Research on Power Management Techniques for High-performance Systems},
 journal = {Softw. Pract. Exper.},
 issue_date = {October 2010},
 volume = {40},
 number = {11},
 month = oct,
 year = {2010},
 issn = {0038-0644},
 pages = {943--964},
 numpages = {22},
 url = {http://dx.doi.org/10.1002/spe.v40:11},
 doi = {10.1002/spe.v40:11},
 acmid = {1869422},
 publisher = {John Wiley \& Sons, Inc.},
 address = {New York, NY, USA},
 keywords = {commercial clusters, energy consumption profiling, high-performance computing, high-performance systems, metrics of power consumption efficiency, power management, virtual machine},
}
@article{cameron2005high,
  author    = {Kirk W. Cameron and
               Rong Ge and
               Xizhou Feng},
  title     = {High-Performance, Power-Aware Distributed Computing for Scientific
               Applications},
  journal   = {{IEEE} Computer},
  volume    = {38},
  number    = {11},
  pages     = {40--47},
  year      = {2005},
  url       = {https://doi.org/10.1109/MC.2005.380},
  doi       = {10.1109/MC.2005.380},
  timestamp = {Wed, 17 May 2017 10:56:41 +0200},
  biburl    = {http://dblp.org/rec/bib/journals/computer/CameronGF05},
  bibsource = {dblp computer science bibliography, http://dblp.org}
}

@inproceedings{HsuFA05,
  author    = {Chung{-}Hsing Hsu and
               Wu{-}chun Feng and
               Jeremy S. Archuleta},
  title     = {Towards Efficient Supercomputing: {A} Quest for the Right Metric},
  booktitle = {19th International Parallel and Distributed Processing Symposium {(IPDPS}
               2005), {CD-ROM} / Abstracts Proceedings, 4-8 April 2005, Denver, CO,
               {USA}},
  year      = {2005},
  crossref  = {DBLP:conf/ipps/2005},
  url       = {https://doi.org/10.1109/IPDPS.2005.440},
  doi       = {10.1109/IPDPS.2005.440},
  timestamp = {Wed, 24 May 2017 08:28:21 +0200},
  biburl    = {http://dblp.org/rec/bib/conf/ipps/HsuFA05},
  bibsource = {dblp computer science bibliography, http://dblp.org}
}
@proceedings{DBLP:conf/ipps/2005,
  title     = {19th International Parallel and Distributed Processing Symposium {(IPDPS}
               2005), {CD-ROM} / Abstracts Proceedings, 4-8 April 2005, Denver, CO,
               {USA}},
  publisher = {{IEEE} Computer Society},
  year      = {2005},
  url       = {http://ieeexplore.ieee.org/xpl/mostRecentIssue.jsp?punumber=9722},
  isbn      = {0-7695-2312-9},
  timestamp = {Fri, 01 Aug 2014 14:26:13 +0200},
  biburl    = {http://dblp.org/rec/bib/conf/ipps/2005},
  bibsource = {dblp computer science bibliography, http://dblp.org}
}

@INPROCEEDINGS{Sarood2014, 
author={O. Sarood and A. Langer and A. Gupta and L. Kale}, 
booktitle={SC14: International Conference for High Performance Computing, Networking, Storage and Analysis}, 
title={Maximizing Throughput of Overprovisioned HPC Data Centers Under a Strict Power Budget}, 
year={2014}, 
volume={}, 
number={}, 
pages={807-818}, 
keywords={computer centres;mainframes;parallel machines;power consumption;resource allocation;scheduling;SLURM scheduling policy;adaptive runtime system;hardware facilitated capability;network interconnects;node allocation;online resource manager;overprovisioned HPC data centers;performance modeling scheme;power 4.75 MW;power allocation;power consumption;power efficient computers;power response characteristics;resource allocation decisions;software-based online resource management system;strict power budget;supercomputers;throughput maximization;Linear programming;Mathematical model;Parallel processing;Power demand;Resource management;Throughput;Time-frequency analysis}, 
doi={10.1109/SC.2014.71}, 
ISSN={2167-4329}, 
month={Nov},}

@Article{mammela2012energy,
author="M{\"a}mmel{\"a}, Olli
and Majanen, Mikko
and Basmadjian, Robert
and De Meer, Hermann
and Giesler, Andr{\'e}
and Homberg, Willi",
title="Energy-aware job scheduler for high-performance computing",
journal="Computer Science - Research and Development",
year="2012",
month="Nov",
day="01",
volume="27",
number="4",
pages="265--275",
abstract="In recent years energy-aware computing has become a major topic, not only in wireless and mobile devices but also in devices using wired technology. The ICT industry is consuming an increasing amount of energy and a large part of the consumption is generated by large-scale data centers. In High-Performance Computing (HPC) data centers, higher performance equals higher energy consumption. This has created incentives on exploring several alternatives to reduce the energy consumption of the system, such as energy-efficient hardware or the Dynamic Voltage and Frequency Scaling (DVFS) technique. This work presents an energy-aware scheduler that can be applied to a HPC data center without any changes in hardware. The scheduler is evaluated with a simulation model and a real-world HPC testbed. Our experiments indicate that the scheduler is able to reduce the energy consumption by 6--16{\%} depending on the job workload. More importantly, there is no significant slowdown in the turnaround time or increase in the wait time of the job. The results hereby evidence that our approach can be beneficial for HPC data center operators without a large penalty on service level agreements.",
issn="1865-2042",
doi="10.1007/s00450-011-0189-6",
url="https://doi.org/10.1007/s00450-011-0189-6"
}


@inproceedings{Bailey:2014:ACS:2703009.2706736,
 author = {Bailey, Peter E. and Marathe, Aniruddha and Lowenthal, David K. and Rountree, Barry and Schulz, Martin},
 title = {Finding the Limits of Power-constrained Application Performance},
 booktitle = {Proceedings of the International Conference for High Performance Computing, Networking, Storage and Analysis},
 series = {SC '15},
 year = {2015},
 isbn = {978-1-4503-3723-6},
 location = {Austin, Texas},
 pages = {79:1--79:12},
 articleno = {79},
 numpages = {12},
 url = {http://doi.acm.org/10.1145/2807591.2807637},
 doi = {10.1145/2807591.2807637},
 acmid = {2807637},
 publisher = {ACM},
 address = {New York, NY, USA},
} 


@inproceedings{Patki:2015:PRM:2749246.2749262,
 author = {Patki, Tapasya and Lowenthal, David K. and Sasidharan, Anjana and Maiterth, Matthias and Rountree, Barry L. and Schulz, Martin and de Supinski, Bronis R.},
 title = {Practical Resource Management in Power-Constrained, High Performance Computing},
 booktitle = {Proceedings of the 24th International Symposium on High-Performance Parallel and Distributed Computing},
 series = {HPDC '15},
 year = {2015},
 isbn = {978-1-4503-3550-8},
 location = {Portland, Oregon, USA},
 pages = {121--132},
 numpages = {12},
 url = {http://doi.acm.org/10.1145/2749246.2749262},
 doi = {10.1145/2749246.2749262},
 acmid = {2749262},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {power-constrained hpc, resource management},
} 

@article{Mualem:2001:UPW:380314.380315,
 author = {Mu'alem, Ahuva W. and Feitelson, Dror G.},
 title = {Utilization, Predictability, Workloads, and User Runtime Estimates in Scheduling the IBM SP2 with Backfilling},
 journal = {IEEE Trans. Parallel Distrib. Syst.},
 issue_date = {June 2001},
 volume = {12},
 number = {6},
 month = jun,
 year = {2001},
 issn = {1045-9219},
 pages = {529--543},
 numpages = {15},
 url = {http://dx.doi.org/10.1109/71.932708},
 doi = {10.1109/71.932708},
 acmid = {380315},
 publisher = {IEEE Press},
 address = {Piscataway, NJ, USA},
 keywords = {Parallel job scheduling, backfilling, runtime estimates, workload modeling, performance metrics.},
} 

@inproceedings{Inadomi:2015:AMI:2807591.2807638,
 author = {Inadomi, Yuichi and Patki, Tapasya and Inoue, Koji and Aoyagi, Mutsumi and Rountree, Barry and Schulz, Martin and Lowenthal, David and Wada, Yasutaka and Fukazawa, Keiichiro and Ueda, Masatsugu and Kondo, Masaaki and Miyoshi, Ikuo},
 title = {Analyzing and Mitigating the Impact of Manufacturing Variability in Power-constrained Supercomputing},
 booktitle = {Proceedings of the International Conference for High Performance Computing, Networking, Storage and Analysis},
 series = {SC '15},
 year = {2015},
 isbn = {978-1-4503-3723-6},
 location = {Austin, Texas},
 pages = {78:1--78:12},
 articleno = {78},
 numpages = {12},
 url = {http://doi.acm.org/10.1145/2807591.2807638},
 doi = {10.1145/2807591.2807638},
 acmid = {2807638},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {performance modeling, power-constrained HPC},
} 

@article{shoukourian2015adviser,
  title={Adviser for energy consumption management: green energy conservation},
  author={Shoukourian, Hayk}
}

@ARTICLE{8081827, 
author={F. Fraternali and A. Bartolini and C. Cavazzoni and L. Benini}, 
journal={IEEE Transactions on Parallel and Distributed Systems}, 
title={Quantifying the Impact of Variability and Heterogeneity on the Energy Efficiency for a Next-Generation Ultra-Green Supercomputer}, 
year={2017}, 
volume={PP}, 
number={99}, 
pages={1-1}, 
keywords={Computer architecture;Energy measurement;Frequency measurement;Hardware;Power measurement;Program processors;Supercomputers;DVFS;Dynamic Resource Management;Energy-Aware Computing;Energy-Efficient Software Design;Green Supercomputer;Green500;Hardware Accelerator;Hardware Variability;Heterogeneous Supercomputer;High-Performance Computing}, 
doi={10.1109/TPDS.2017.2766151}, 
ISSN={1045-9219}, 
month={},}

@InProceedings{10.1007/978-3-319-07518-1_25,
author="Auweter, Axel
and Bode, Arndt
and Brehm, Matthias
and Brochard, Luigi
and Hammer, Nicolay
and Huber, Herbert
and Panda, Raj
and Thomas, Francois
and Wilde, Torsten",
editor="Kunkel, Julian Martin
and Ludwig, Thomas
and Meuer, Hans Werner",
title="A Case Study of Energy Aware Scheduling on SuperMUC",
booktitle="Supercomputing",
year="2014",
publisher="Springer International Publishing",
address="Cham",
pages="394--409",
abstract="In this paper, we analyze the functionalities for energy aware scheduling of the IBM LoadLeveler resource management system on SuperMUC, one of the world's fastest HPC systems. We explain how LoadLeveler predicts execution times and the average power consumption of the system's workloads at varying CPU frequencies and compare the prediction to real measurements conducted on various benchmarks. Since the prediction model proves to be accurate for our application workloads, we can analyze the LoadLeveler predictions for a large fraction of the SuperMUC application portfolio. This enables us to define a policy for energy aware scheduling on SuperMUC, which selects the CPU frequencies considering the applications' power and performance characteristics thereby providing an optimized tradeoff between energy savings and execution time.",
isbn="978-3-319-07518-1"
}

@ARTICLE{Freeh:2007:AET:1263127.1263246, 
author={V. W. Freeh and D. K. Lowenthal and F. Pan and N. Kappiah and R. Springer and B. L. Rountree and M. E. Femal}, 
journal={IEEE Transactions on Parallel and Distributed Systems}, 
title={Analyzing the Energy-Time Trade-Off in High-Performance Computing Applications}, 
year={2007}, 
volume={18}, 
number={6}, 
pages={835-848}, 
keywords={parallel processing;power aware computing;energy-time trade-off;parallel high-performance computing;power-aware computing;power-scalable cluster;serial high-performance computing;Computer applications;Costs;Energy consumption;Energy measurement;Frequency;Gears;High performance computing;Microprocessors;Time measurement;Voltage;High-performance computing;power-aware computing.}, 
doi={10.1109/TPDS.2007.1026}, 
ISSN={1045-9219}, 
month={June},}

@inproceedings{Hsu:2005:PRS:1105760.1105766,
 author = {Hsu, Chung-hsing and Feng, Wu-chun},
 title = {A Power-Aware Run-Time System for High-Performance Computing},
 booktitle = {Proceedings of the 2005 ACM/IEEE Conference on Supercomputing},
 series = {SC '05},
 year = {2005},
 isbn = {1-59593-061-2},
 pages = {1--},
 url = {https://doi.org/10.1109/SC.2005.3},
 doi = {10.1109/SC.2005.3},
 acmid = {1105766},
 publisher = {IEEE Computer Society},
 address = {Washington, DC, USA},
} 

@INPROCEEDINGS{Etinski2010, 
author={M. Etinski and J. Corbalan and J. Labarta and M. Valero}, 
booktitle={International Conference on Green Computing}, 
title={Optimizing job performance under a given power constraint in HPC centers}, 
year={2010}, 
volume={}, 
number={}, 
pages={257-267}, 
keywords={multiprocessing systems;optimisation;power aware computing;power consumption;processor scheduling;CPU energy consumption;DVFS;HPC center;frequency scaling;job scheduling policy;optimisation;power budget;power constraint performance;power consumption;Runtime;Transistors;DVFS;parallel job scheduling;power budgeting}, 
doi={10.1109/GREENCOMP.2010.5598303}, 
ISSN={}, 
month={Aug},}

@article{Etinski:2012:PJS:2400744.2400966,
 author = {Etinski, M. and Corbalan, J. and Labarta, J. and Valero, M.},
 title = {Parallel Job Scheduling for Power Constrained HPC Systems},
 journal = {Parallel Comput.},
 issue_date = {December, 2012},
 volume = {38},
 number = {12},
 month = dec,
 year = {2012},
 issn = {0167-8191},
 pages = {615--630},
 numpages = {16},
 url = {http://dx.doi.org/10.1016/j.parco.2012.08.001},
 doi = {10.1016/j.parco.2012.08.001},
 acmid = {2400966},
 publisher = {Elsevier Science Publishers B. V.},
 address = {Amsterdam, The Netherlands, The Netherlands},
 keywords = {CPU power consumption, Parallel job scheduling, Power budget},
} 

@inproceedings{David:2010:RMP:1840845.1840883,
 author = {David, Howard and Gorbatov, Eugene and Hanebutte, Ulf R. and Khanna, Rahul and Le, Christian},
 title = {RAPL: Memory Power Estimation and Capping},
 booktitle = {Proceedings of the 16th ACM/IEEE International Symposium on Low Power Electronics and Design},
 series = {ISLPED '10},
 year = {2010},
 isbn = {978-1-4503-0146-6},
 location = {Austin, Texas, USA},
 pages = {189--194},
 numpages = {6},
 url = {http://doi.acm.org/10.1145/1840845.1840883},
 doi = {10.1145/1840845.1840883},
 acmid = {1840883},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {DRAM memory, measurements, power},
} 

@inproceedings{Bodas:2014:SPS:2689710.2689713,
 author = {Bodas, Deva and Song, Justin and Rajappa, Murali and Hoffman, Andy},
 title = {Simple Power-aware Scheduler to Limit Power Consumption by HPC System Within a Budget},
 booktitle = {Proceedings of the 2Nd International Workshop on Energy Efficient Supercomputing},
 series = {E2SC '14},
 year = {2014},
 isbn = {978-1-4799-7036-0},
 location = {New Orleans, Louisiana},
 pages = {21--30},
 numpages = {10},
 url = {http://dx.doi.org/10.1109/E2SC.2014.8},
 doi = {10.1109/E2SC.2014.8},
 acmid = {2689713},
 publisher = {IEEE Press},
 address = {Piscataway, NJ, USA},
 keywords = {HPC, IPMI, energy efficiency, exascale, power limiting, power manager, resource manager, scheduler},
} 


@inproceedings{Ellsworth:2015:DPS:2807591.2807643,
 author = {Ellsworth, Daniel A. and Malony, Allen D. and Rountree, Barry and Schulz, Martin},
 title = {Dynamic Power Sharing for Higher Job Throughput},
 booktitle = {Proceedings of the International Conference for High Performance Computing, Networking, Storage and Analysis},
 series = {SC '15},
 year = {2015},
 isbn = {978-1-4503-3723-6},
 location = {Austin, Texas},
 pages = {80:1--80:11},
 articleno = {80},
 numpages = {11},
 url = {http://doi.acm.org/10.1145/2807591.2807643},
 doi = {10.1145/2807591.2807643},
 acmid = {2807643},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {HPC, RAPL, hardware over-provisioning, power bound},
} 

@INPROCEEDINGS{BorghesiHPCS15, 
author={A. Borghesi and C. Conficoni and M. Lombardi and A. Bartolini}, 
booktitle={2015 International Conference on High Performance Computing Simulation (HPCS)}, 
title={MS3: A Mediterranean-stile job scheduler for supercomputers - do less when it's too hot!}, 
year={2015}, 
volume={}, 
number={}, 
pages={88-95}, 
keywords={constraint handling;cooling;energy conservation;parallel machines;power aware computing;processor scheduling;HPC systems;MS3;Mediterranean-stile job scheduler;advanced cooling circuits;ambient air;constraint programming;cooling efficiency;free-cooling;heat removal;liquid temperature;power capping approach;supercomputer energy efficiency;supercomputer machines;supercomputer power dissipation;warm air temperature;Computational modeling;Cooling;Heating;Power demand;Resource management;Schedules;Supercomputers}, 
doi={10.1109/HPCSim.2015.7237025}, 
ISSN={}, 
month={July},}

@InProceedings{BorghesiCP15,
author="Borghesi, Andrea
and Collina, Francesca
and Lombardi, Michele
and Milano, Michela
and Benini, Luca",
editor="Pesant, Gilles",
title="Power Capping in High Performance Computing Systems",
booktitle="Principles and Practice of Constraint Programming",
year="2015",
publisher="Springer International Publishing",
address="Cham",
pages="524--540",
abstract="Power consumption is a key factor in modern ICT infrastructure, especially in the expanding world of High Performance Computing, Cloud Computing and Big Data. Such consumption is bound to become an even greater issue as supercomputers are envisioned to enter the Exascale by 2020, granted that they obtain an order of magnitude energy efficiency gain. An important component in many strategies devised to decrease energy usage is ``power capping'', i.e., the possibility to constrain the system power consumption within certain power budget. In this paper we propose two novel approaches for power capped workload dispatching and we demonstrate them on a real-life high-performance machine: the Eurora supercomputer hosted at CINECA computing center in Bologna. Power capping is a feature not included in the commercial Portable Batch System (PBS) dispatcher currently in use on Eurora. The first method is based on a heuristic technique while the second one relies on a hybrid strategy which combines a CP and a heuristic approach. Both systems are evaluated and compared on simulated job traces.",
isbn="978-3-319-23219-5"
}

@InProceedings{BorghesiISC16,
author="Borghesi, Andrea
and Bartolini, Andrea
and Lombardi, Michele
and Milano, Michela
and Benini, Luca",
editor="Kunkel, Julian M.
and Balaji, Pavan
and Dongarra, Jack",
title="Predictive Modeling for Job Power Consumption in HPC Systems",
booktitle="High Performance Computing",
year="2016",
publisher="Springer International Publishing",
address="Cham",
pages="181--199",
abstract="Power consumption is a critical aspect for next generation High Performance Computing systems: Supercomputers are expected to reach Exascale in 2023 but this will require a significant improvement in terms of energy efficiency. In this domain, power-capping can significant increase the final energy-efficiency by cutting cooling effort and worst-case design margins. A key aspect for an optimal implementation of power capping is the ability to estimate the power consumption of HPC applications before they run on the real system. In this paper we propose a Machine-Learning approach, based on the user and application resource request, to accurately predict the power consumption of typical supercomputer workloads. We demonstrate our method on real production workloads executed on the Eurora supercomputer hosted at CINECA computing center in Bologna and we provide useful insights to apply our technique in other installations.",
isbn="978-3-319-41321-1"
}

@article{BHATTACHARYA2013183,
title = "The need for speed and stability in data center power capping",
journal = "Sustainable Computing: Informatics and Systems",
volume = "3",
number = "3",
pages = "183 - 193",
year = "2013",
note = "Selected papers from the 2012 IEEE International Green Computing Conference (IGCC 2012)",
issn = "2210-5379",
doi = "https://doi.org/10.1016/j.suscom.2013.01.005",
url = "http://www.sciencedirect.com/science/article/pii/S2210537913000061",
author = "Arka A. Bhattacharya and David Culler and Aman Kansal and Sriram Govindan and Sriram Sankar",
keywords = "Power capping, Admission control, Frequency scaling"
}

@article{KHEMKA201514,
title = "Utility maximizing dynamic resource management in an oversubscribed energy-constrained heterogeneous computing system",
journal = "Sustainable Computing: Informatics and Systems",
volume = "5",
pages = "14 - 30",
year = "2015",
issn = "2210-5379",
doi = "https://doi.org/10.1016/j.suscom.2014.08.001",
url = "http://www.sciencedirect.com/science/article/pii/S2210537914000420",
author = "Bhavesh Khemka and Ryan Friese and Sudeep Pasricha and Anthony A. Maciejewski and Howard Jay Siegel and Gregory A. Koenig and Sarah Powers and Marcia Hilton and Rajendra Rambharos and Steve Poole",
keywords = "High performance computing system, Energy-constrained computing, Heterogeneous distributed computing, Energy-aware resource management"
}

@inproceedings{Rountree:2009:AMD:1542275.1542340,
 author = {Rountree, Barry and Lownenthal, David K. and de Supinski, Bronis R. and Schulz, Martin and Freeh, Vincent W. and Bletsch, Tyler},
 title = {Adagio: Making DVS Practical for Complex HPC Applications},
 booktitle = {Proceedings of the 23rd International Conference on Supercomputing},
 series = {ICS '09},
 year = {2009},
 isbn = {978-1-60558-498-0},
 location = {Yorktown Heights, NY, USA},
 pages = {460--469},
 numpages = {10},
 url = {http://doi.acm.org/10.1145/1542275.1542340},
 doi = {10.1145/1542275.1542340},
 acmid = {1542340},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {dvfs, dvs, energy, mpi, runtime},
} 

@article{Leal2016,
	affiliation = {Universidad Rey Juan Carlos, Departamento de Tecnologías de la Información y las Comunicaciones, Escuela Superior de Ingeniería de Telecomunicación, Camino del Molino SN, 28943 Fuenlabrada, Madrid, Spain},
	author = {Leal, Katia},
	doi = {10.1016/j.suscom.2015.08.002},
	journal = {Sustainable Computing: Informatics and Systems},
	keywords = {Scheduling; Resource sharing; Energy efficient; Power consumption; Communication cost; Federated Grid},
	language = {English},
	number = {Complete},
	pages = {33-41},
	title = {Energy efficient scheduling strategies in Federated Grids},
	volume = {9},
	year = {2016},
}

@article{shoukourian2014predicting,
 author = {Shoukourian, Hayk and Wilde, Torsten and Auweter, Axel and Bode, Arndt},
 title = {Predicting the Energy and Power Consumption of Strong and Weak Scaling HPC Applications},
 journal = {Supercomput. Front. Innov.: Int. J.},
 issue_date = {July 2014},
 volume = {1},
 number = {2},
 month = jul,
 year = {2014},
 issn = {2409-6008},
 pages = {20--41},
 numpages = {22},
 url = {http://dx.doi.org/10.14529/jsfi140202},
 doi = {10.14529/jsfi140202},
 acmid = {2983595},
 publisher = {South Ural State University},
 address = {Chelyabinsk, Russia, Russia},
 keywords = {AEPCP model, EtS prediction, HPC, adaptive prediction, energy capping, energy consumption, energy measurement, node scaling, power capping, power consumption},
} 

@inproceedings{Sirbu:2016:PCM:2990973.2991005,
 author = {S\^{\i}rbu, Alina and Babaoglu, Ozalp},
 title = {Power Consumption Modeling and Prediction in a Hybrid CPU-GPU-MIC Supercomputer},
 booktitle = {Proceedings of the 22Nd International Conference on Euro-Par 2016: Parallel Processing - Volume 9833},
 year = {2016},
 isbn = {978-3-319-43658-6},
 pages = {117--130},
 numpages = {14},
 url = {http://dx.doi.org/10.1007/978-3-319-43659-3_9},
 doi = {10.1007/978-3-319-43659-3_9},
 acmid = {2991005},
 publisher = {Springer-Verlag New York, Inc.},
 address = {New York, NY, USA},
 keywords = {High performance computing, Hybrid system, Job power modeling, Job power prediction, Support vector regression},
} 

@misc{insideHPCSid,
    author="Siddhartha Jana",
    title="{From SC17: Energy Efficiency in the
	    Software Stack — Cross Community Efforts}",
    url = "https://insidehpc.com/2017/12/sc17-energy-efficiency-software-stack-cross-community-efforts/",
    note= "https://insidehpc.com/2017/12/sc17-energy-efficiency-software-stack-cross-community-efforts/",
}
@misc{SC18poster,
    title="{P90: Global Survey of Energy and
	    Power-Aware Job Scheduling and Resource
	    Management in Supercomputing Centers}",
    author="Siddhartha Jana and Gregory A. Koenig and Matthias Maiterth and Kevin T. Pedretti and Andrea Borghesi and Andrea         Bartolini and Bilel Hadri and Natalie J. Bates",
    url = "http://sc17.supercomputing.org/presentation/?id=post236\&sess=sess293",
    note = "http://sc17.supercomputing.org/presentation/?id=post236\&sess=sess293"
}
@misc{whitepaper,
    author="{EE HPC WG -  EPA JSRM team}",
    title="Whitepaper, 'Energy and Power Aware Job Scheduling and Power Management'",
    url = "https://eehpcwg.llnl.gov/documents/conference/sc17/sc17\_bof\_epa\_jsrm \_whitepaper\_110917\_rev\_1.pdf",
    note= "https://eehpcwg.llnl.gov/documents/conference/sc17/sc17\_bof\_epa\_jsrm \_whitepaper\_110917\_rev\_1.pdf",
}


@article{karo2006application,
  title={The application level placement scheduler},
  author={Karo, Michael and Lagerstrom, Richard and Kohnke, Marlys and Albing, Carl},
  journal={Cray User Group},
  pages={1--7},
  year={2006}
}

@misc{Moab,
  author="{Adaptive Computing Enterprises Inc.}",
  title="{Moab Workload Manager Administrator Guide
	  9.0.3}",
  url = "http://docs.adaptivecomputing.com/9-0-3/MWM/Moab-9.0.3.pdf",
  note= "http://docs.adaptivecomputing.com/9-0-3/MWM/Moab-9.0.3.pdf",
}

@misc{moab_greenComputing,
    author="{Adaptive Computing Enterprises Inc.}",
    title="{Green Computing}",
    url="{http://docs.adaptivecomputing.com/suite/8-0/basic/help.htm\#topics/moabWorkloadManager/topics/powerManagement/greenTasks/nodeIdlePowerAction.htm}",
 note="{http://docs.adaptivecomputing.com/suite/8-0/basic/help.htm\#topics/moabWorkloadManager/topics/
	 powerManagement/greenTasks/nodeIdlePowerAction.htm,
 online}",
}

@misc{PBS,
    author = "{Altair, PBS Works}",
    title="{PBS Professional® 13.0 User’s Guide}",
    url="http://www.pbsworks.com/pdfs/PBSUserGuide13.0.pdf",
    note="http://www.pbsworks.com/pdfs/PBSUserGuide13.0.pdf",
}

@misc{cray_smw,
    author = "{CRAY}",
    title="{System Management Workstation (SMW)}",
    url="http://docs.cray.com/books/S-2480-7204a/S-2480-7204a.pdf",
    note="http://docs.cray.com/books/S-2480-7204a/S-2480-7204a.pdf, online",
}


@inproceedings{martin2015cray,
  title={Cray advanced platform monitoring and control (CAPMC)},
  author={Martin, SJ and Rush, D and Kappel, M},
  booktitle={Proc. Cray Users’ Group Technical Conference (CUG)},
  year={2015}
}


@misc{Slurm,
    author="Morris Jette, {SchedMD}",
    title="Technical: Slurm Power Management Support",
    url="https://slurm.schedmd.com/SLUG15/Power\_mgmt.pdf",
    note="https://slurm.schedmd.com/SLUG15/Power\_mgmt.pdf, technical presentation",
}

@misc{Slurm_powerSaving_guide,
    author="Morris Jette, {SchedMD}",
    title="Slurm Power Saving Guide",
    url="https://slurm.schedmd.com/power\_save.html",
    note="https://slurm.schedmd.com/power\_save.html, online",
}

@misc{kale2012charm,
  title={The Charm++ Programming Language Manual},
  author={Kale, Laxmikant and others},
  year={2012},
  publisher={University of Illinois at Urbana-Champaign}
}

@misc{loadLeveler,
    author="IBM",
    title="{IBM LoadLeveler User Manual}",
    url="https://www.ibm.com/support/knowledgecenter/SSFJTW/loadl\_welcome.html",
    note="https://www.ibm.com/support/knowledgecenter/SSFJTW/ loadl\_welcome.html, online",
}

@misc{LSF,
    author="IBM",
    title="{IBM Spectrum LSF Energy Aware Scheduling, LSF10.1.0}",
    url="https://www.ibm.com/support/knowledgecenter/en/SSWRJV\_10.1.0/lsf \_welcome/lsf\_kc\_eas.html",
    note="https://www.ibm.com/support/knowledgecenter/en/SSWRJV\_10.1.0/lsf \_welcome/lsf\_kc\_eas.html, online",
}


@InProceedings{intel_dev_manual,
author="{Intel Corporation}",
title="{Intel-64 and IA-32 Architectures Software Developer's Manual, Volumes 3A and 3B: System Programming Guide}",
year="2011",
}


@InProceedings{eastep2017global,
author="Eastep, Jonathan
and Sylvester, Steve
and Cantalupo, Christopher
and Geltz, Brad
and Ardanaz, Federico
and Al-Rawi, Asma
and Livingston, Kelly
and Keceli, Fuat
and Maiterth, Matthias
and Jana, Siddhartha",
editor="Kunkel, Julian M.
and Yokota, Rio
and Balaji, Pavan
and Keyes, David",
title="{Global Extensible Open Power Manager: A Vehicle
	for HPC Community Collaboration on Co-Designed
		Energy Management Solutions}",
booktitle="High Performance Computing",
year="2017",
publisher="Springer International Publishing",
address="Cham",
pages="394--412",
isbn="978-3-319-58667-0"
}

@misc{EEHPCWGweb,
    author="{EE HPC WG}",
    title="Energy Efficient High Performance Computing Working Group (EE HPC WG) website",
    url="https://eehpcwg.llnl.gov/",
    note="https://eehpcwg.llnl.gov/",
}

@inproceedings{MKPJBBRBP18,
  author    = {Matthias Maiterth and
    Gregory Koenig and
    Kevin Pedretti and
    Siddhartha Jana and
    Natalie Bates and
    Andrea Borghesi and
    David Richard Montoya and
    Andrea Bartollini and
    Milos Puzovic},
  title     = {Energy and Power Aware Job Scheduling and Resource Management: Global Survey — Initial Analysis},
  booktitle = {2018 {IEEE} International Parallel and Distributed Processing Symposium
               Workshops, {IPDPS} Workshops 2018, Vancouver, Canada, May 21-25, 2018},
  year      = {2018},
  crossref  = {DBLP:conf/ipps/2018w},
  note = {[to be published]},
}
@proceedings{DBLP:conf/ipps/2018w,
  title = {2018 {IEEE} International Parallel and Distributed Processing Symposium
               Workshops, {IPDPS} Workshops 2016, Chicago, IL, USA, May 23-27, 2016},
  publisher = {{IEEE} Computer Society},
  year      = {2018},
}


@conference{ACPIspec,
        author          = {         {Hewlett-Packard Corporation}
                                and {Intel Corporation}
                                and {Microsoft Corporation}
                                and {Phoenix Technologies Ltd.}
                                and {Toshiba Corporation}
        },
        title           = {Advanced Configuration and Power Interface Specification },
        _howpublished   = { },
        month           = {June},
        year            = {2009},
        note            = {Revision 4.0 }
}

@article{Dennard,
title={Design of Ion-Implanted {MOSFET}’s with Very Small Physical Dimensions},
author={Robert H. Dennard and Fritz H. Gaensslen and Hwa-nien Yu and V. Leo Rideout and Ernest Bassous and Andre R. Leblanc},
journal={Proceedings of the {IEEE}},
volume={87},
number={4},
year={1999},
note={Classic Paper}
}
@article{DennardsEnd,
  author={L Johnsson and G Netzer},
  title={The impact of Moore's Law and loss of Dennard scaling: Are {DSP SoCs} an energy efficient alternative to {x86 SoCs}?},
  journal={Journal of Physics: Conference Series},
  volume={762},
  number={1},
  pages={012022},
  url={http://stacks.iop.org/1742-6596/762/i=1/a=012022},
  year={2016},
}
@inproceedings{PUE,
  title={Metrics to characterize data center \& IT equipment energy use},
  author={Malone, Christopher and Belady, Christian},
  booktitle={Proceedings of the Digital Power Forum, Richardson, TX},
  volume={35},
  year={2006}
}

@misc{PowerStack-web,
    author="{The HPC PowerStack Group}",
    title="{The HPC PowerStack}",
    url="https://powerstack.lrr.in.tum.de/",
    note="https://powerstack.lrr.in.tum.de/, online",
}
@misc{green500methods,
    author="{Green500, Top500, Green Grid, EE HPC WG}",
    title="{Energy Efficient High Performance Computing Power Measurement Methodology}",
    url="https://www.top500.org/green500/resources/eehpc-wg-power-measurement-methology/",
    note="https://www.top500.org/green500/resources/eehpc-wg-power-measurement-methology/, online",
}
